Page MenuHomePhabricator

Add "direct mail appeal" column to Trilogy import
Closed, ResolvedPublic1 Story Points

Description

We need one more field added to the Trilogy import to make it truly functional. Direct Mail Appeal = 2015 San Francisco Event

Event Timeline

CaitVirtue raised the priority of this task from to High.
CaitVirtue updated the task description. (Show Details)
CaitVirtue added subscribers: CaitVirtue, LeanneS.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 6:47 PM

@CaitVirtue when would you like this done?

This week? Next week at the latest.

We can move it into next sprint (which starts tomorrow).

Great, thank you!

DStrine set Security to None.Sep 30 2015, 10:45 PM
DStrine edited a custom field.
XenoRyet claimed this task.Oct 1 2015, 7:34 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint UB40 board.

@CaitVirtue Was the "2015 San Francisco Event" value going to appear on the actual spreadsheet, or did you want the importer to auto-populate the Direct Mail Appeal column with that value?

Auto populating isn't really best practice, and means we'd have to change it when we wanted to use the Trilogy importer for something else, but it does get the job done quickly and easily. I'm happy to do if if that's the spot we're in.

@LeanneS - I'm kicking @XenoRyet's question to you:

"Was the "2015 San Francisco Event" value going to appear on the actual spreadsheet, or did you want the importer to auto-populate the Direct Mail Appeal column with that value?

Auto populating isn't really best practice, and means we'd have to change it when we wanted to use the Trilogy importer for something else, but it does get the job done quickly and easily. I'm happy to do if if that's the spot we're in."

@XenoRyet Since this will likely be used for other events, let's proceed with 2015 San Francisco Event being a value to add to the actual spreadsheet.

Change 243042 had a related patch set uploaded (by XenoRyet):
Add Direct Mail Appeal column to Trilogy Importer

https://gerrit.wikimedia.org/r/243042

Change 243042 merged by jenkins-bot:
Add Direct Mail Appeal column to Trilogy Importer

https://gerrit.wikimedia.org/r/243042

LeanneS added a subscriber: awight.Oct 14 2015, 5:34 PM

@XenoRyet and @awight I see this task is marked as done. Could you tell us where we are on this and whether it is ready to be tested?

@LeanneS This is done and ready for testing. As discussed, just make sure the new spreadsheet has a Direct Mail Appeal column and populate it with the appropriate value. Let me know how it works out for you.

@XenoRyet I just tested with this column, and the value didn't import into the Civi contributions created.

@LeanneS When I tested locally, I noticed the value had to exactly match something that existed in the Direct Mail Appeal dropdown in Civi, which in this case would be 2015 San Francisco Event. Spacing and capitalization mattered. Did the records you tried to import have exactly that value?

@XenoRyet Yes, I entered exactly as 2015 San Francisco Event.

@LeanneS Hmm... Just to cover my bases, this was on production and not staging? Assuming that is the case, can you email the file you were trying to import? I'll do some testing and figure out what's going on.

@XenoRyet Yep, this was in production. Do you have access to the server? I can place the file on there.

@LeanneS I do have access. Just let me know which server and in what directory you put it. Thanks.

@XenoRyet Great! Here is the path: Fundraising - Tech - Major Gifts - Trilogy

@LeanneS I can see where this didn't work on production, but I'm having trouble replicating the issue on my local development version. I would like to try on the staging server, but it doesn't look like '2015 San Francisco Event' was showing up in the Direct Mail Appeal dropdowns there. Do you know where that kind of thing gets set up?

@XenoRyet I believe this is because it is a newer Direct Mail Appeal option and Staging only shows through a certain point in September. @awight Can you confirm, and is there any way to have this option show in Staging?

That's correct. Please add the appeal using this URL:
https://civicrm.frdev.wikimedia.org/admin/config/wmf_campaigns/list

--which is currently broken, I just discovered. I'll try to debug that today.

Meanwhile, can you change the event name to one that existed in September, for testing purposes?

Yea, using last year's appeal reproduces the bug. This will give me something to go on for now.

CaitVirtue raised the priority of this task from High to Unbreak Now!.Oct 26 2015, 5:24 PM

@XenoRyet just wanted to call out that this is critical for the MG team and their upcoming event. Please prioritize accordingly. Thanks!

@LeanneS I've been told there's a high priority on getting this data into Civi ASAP. In lieu of an actual fix, I think if you put the value '2015 SF' in the Direct Mail Appeal column, it should go in and show up how we want it to.
Can you give that a try and let me know?

@XenoRyet thanks, I just imported a couple donations with 2015 SF and it reflected the correct Direct Mail Appeal option.

@LeanneS Great to hear. This will get you sorted for the upcoming event right? If so, let me know when all the data you need is in and I'll reprioritize the bug back to normal.

@XenoRyet all of our current data is now in Civi. If we can continue this method for any new donations that need to be imported in the coming weeks, it should work for our event.

@LeanneS Great. Yes, this workaround will continue to work until I can get a proper fix in. Given that we have a viable workaround, I'm going to set priority back to normal.

XenoRyet lowered the priority of this task from Unbreak Now! to Normal.Oct 28 2015, 7:57 PM

Thanks @XenoRyet for the workaround!

@LeanneS @CaitVirtue - is this a 1-time event or do you plan to use this
tool in the future?

We have a contract with Trilogy to use this tool at least once more and up to 4 times more.

Great, thanks @CaitVirtue. @XenoRyet let's keep it in the sprint to finish
as soon as we can, just without the fire.

XenoRyet closed this task as Resolved.Oct 28 2015, 10:39 PM
XenoRyet moved this task from Doing to Done on the Fundraising Sprint Vengaboys board.

Change 249610 had a related patch set uploaded (by Eileen):
Add Direct Mail Appeal column to Trilogy Importer

https://gerrit.wikimedia.org/r/249610

Change 249610 abandoned by Eileen:
Add Direct Mail Appeal column to Trilogy Importer

https://gerrit.wikimedia.org/r/249610

mmodell removed a subscriber: awight.Jun 22 2017, 9:37 PM